/* Compiler specific stuff */
/*FR* StormC compability added by Fredrik Rambris */

#ifdef _DCC

	#define REG(x) __ ## x
	#define ASM
	#define SAVEDS __geta4

#else

	#define REG(x) register __ ## x

	#if defined __MAXON__ || defined __GNUC__
		#define ASM
		#define SAVEDS
	#else
		#ifdef __STORM__
			#define ASM
			#define __stdargs
			#define __asm
		#else
			#define ASM    __asm
		#endif /* if __STORM__ */
		#define SAVEDS __saveds
	#endif /* if defined */


	#ifdef __SASC
		#include <pragmas/exec_sysbase_pragmas.h>
	#else
		#ifndef __GNUC__
			#include <pragmas/exec_pragmas.h>
		#endif /* ifndef __GNUC__ */
	#endif /* ifdef SASC      */

	#ifndef __GNUC__

		#include <pragmas/dos_pragmas.h>
		#include <pragmas/icon_pragmas.h>
		#include <pragmas/graphics_pragmas.h>
		#include <pragmas/intuition_pragmas.h>
		#include <pragmas/gadtools_pragmas.h>
		#include <pragmas/utility_pragmas.h>
		#include <pragmas/asl_pragmas.h>
		#include <pragmas/muimaster_pragmas.h>

	#endif /* ifndef __GNUC__ */

#endif /* ifdef _DCC */